Skip to content

Customers ​

GET /api/account/usage ​

Your quota and what you use

  • Access: Signed-in user (browser session)

GET /api/customers ​

List customers with usage and quota

  • Access: Administrator; also reachable with an API token that has the read scope

POST /api/customers ​

Create a customer

  • Access: Administrator; also reachable with an API token that has the provision scope
  • Body: email, password?

GET /api/customers/{id} ​

One customer with usage

  • Access: Administrator; also reachable with an API token that has the read scope
  • Path parameters: id

PATCH /api/customers/{id} ​

Edit a customer (disabled, password, quota)

  • Access: Administrator
  • Path parameters: id
  • Body: disabled?, password?, quota?

POST /api/customers/{id}/invite ​

Email an invitation (or return the link when email is off)

  • Access: Administrator
  • Path parameters: id

POST /api/customers/{id}/sign-out ​

Sign a customer out everywhere

  • Access: Administrator
  • Path parameters: id

Released under the AGPL-3.0-only license.